Skip to main content
Alerting & Response/Alert Rules
GETAlertingSince 1.0SynchronousAuth Required

ListAlertMetrics

List available metrics that can be used in alert rules

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • adapterString

    Filter by monitoring adapter type Filter by monitoring adapter type

  • objectString

    Filter by object type Filter by object type

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of available metrics

    Example: (nested array)

    • abstractNameString

      Abstract metric name for cross-adapter compatibility

      Example: cpu_usage

    • displayNameString

      Human-readable display name

      Example: CPU Usage

    • objectTypeString

      Object type this metric applies to

      Example: vm

    • adapterTypeString

      Monitoring adapter type

      Example: prometheus

    • promqlMetricString

      Actual PromQL metric name

      Example: node_cpu_seconds_total

    • unitString

      Unit of measurement for the metric

      Example: percent

  • totalInteger

    Total number of matching metrics

    Example: 24

  • limitInteger

    Maximum items per page

    Example: 20

  • offsetInteger

    Offset from start of result set

    Example: 20

Endpoint

GET/api/v1/alerting/rules/metrics

/api/v1/alerting/rules/metrics

Operation ID

ListAlertMetrics

Permalink

Request Example

curl -X GET '{host}/api/v1/alerting/rules/metrics' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 24,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history